Package com.orbbec.obsensor.datatype

## Class ExposureThresholdControl

- java.lang.Object
- - com.orbbec.obsensor.DataType
  - - com.orbbec.obsensor.datatype.ExposureThresholdControl

    public class ExposureThresholdControl
    extends DataType

TOF Exposure Threshold

### Constructor Summary

Constructors
`ExposureThresholdControl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `BYTES()` Get the number of bytes occupied by the Native structure
`int` `getLower()` Get the lower limit of the threshold, unit: ms
`int` `getUpper()` Get the upper limit of the threshold, unit: ms
`protected boolean` `parseBytesImpl​(byte[] bytes)` Specific class implementation parsing, pay attention to the internal order and length of the structure
`void` `setLower​(int lower)` Set the lower limit of the threshold, unit: ms
`void` `setUpper​(int upper)` Set the upper limit of the threshold, unit: ms
`java.lang.String` `toString()`
`protected boolean` `wrapBytesImpl​(byte[] bytes)` Specific class attribute encapsulation, pay attention to the internal order and length of the structure

### Methods inherited from class com.orbbec.obsensor.DataType

`checkInitialized, getBytes, parseBytes, throwInitializeException, wrapBytes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExposureThresholdControl

    public ExposureThresholdControl()

### Method Detail

#### getUpper

    public int getUpper()

Get the upper limit of the threshold, unit: ms

Returns:
  upper threshold

#### getLower

    public int getLower()

Get the lower limit of the threshold, unit: ms

Returns:
  lower threshold

#### setUpper

    public void setUpper​(int upper)

Set the upper limit of the threshold, unit: ms

Parameters:
  `upper` - upper threshold value

#### setLower

    public void setLower​(int lower)

Set the lower limit of the threshold, unit: ms

Parameters:
  `lower` - Lower threshold value

#### BYTES

    public int BYTES()

Description copied from class: `DataType`
Get the number of bytes occupied by the Native structure

Specified by:
  `BYTES` in class `DataType`
Returns:
  The number of bytes occupied by the Native structure

#### parseBytesImpl

    protected boolean parseBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class implementation parsing, pay attention to the internal order and length of the structure

Specified by:
  `parseBytesImpl` in class `DataType`
Parameters:
  `bytes` - byte array to be parsed
Returns:
  Parsing result, false: parsing failed, true: parsing succeeded

#### wrapBytesImpl

    protected boolean wrapBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class attribute encapsulation, pay attention to the internal order and length of the structure

Specified by:
  `wrapBytesImpl` in class `DataType`
Parameters:
  `bytes` - The generated byte array to be encapsulated
Returns:
  Encapsulation result, false: Encapsulation failed, true: Encapsulation succeeded

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`